import { Context } from 'skypager-registry'

export let registry

require.ensure([], () =>
  registry = new Context('file-systems', {
    context: require.context('../file-systems', false, /.js$/)
  })
)

export async function use(options = {}, context = {}, next) {
  const project = options.project || context.project || this

  try {
    const mod = registry.lookup(options.name)
    const provider = mod.default ? mod.default : mod
    attach({host: project, ...options, provider}, context)
    next()
  } catch(error) {
    next(error)
  }
}

export default use

export const attach = (options = {}, context = {}) => {
  const { provider } = options
  provider(options, context)
}

export const methods = [
  'copy',
  'readFile',
  'writeFile',
  'outputFile',
  'exists',
  'mkdirp',
  'readJson',
  'writeJson',
  'readdir',
  'walk',
]
