const { CommonsChunkPlugin, OccurrenceOrderPlugin, DedupePlugin } = require('webpack').optimize
const html = require('../utils/static-html')

module.exports = function ProdConfig(baseConfig = {}) {
  baseConfig.output = {
    ...baseConfig.output,
    // Utilize long-term caching by adding content hashes (not compilation hashes) to compiled assets
    filename: '[name].[chunkhash].js',
    chunkFilename: '[name].[chunkhash].chunk.js',
  }

  baseConfig.entry = {
    app: [
      './src/init.jsx',
    ],
  }

  baseConfig.plugins.push(
    new CommonsChunkPlugin({
      name: 'vendor',
      children: true,
      minChunks: 0,
      async: true,
    }),
    new OccurrenceOrderPlugin(true),
    new DedupePlugin(),
    html.basePlugin({
      filename: 'index.html',
    })
  )

  return baseConfig
}
