import React from 'react';
import { routeActions } from 'redux-simple-router';
import { connect } from 'react-redux';

class BetaHasEnded extends React.Component {

  closeModal() {
    bzTrack.track('Modal: Beta Ended');
    this.props.proceed('/pricing/');
  }

  render() {
    return (
      <div className="modal__window modal__window--med">
        <h3 className="modal__title">
          Beta Has Ended!
        </h3>
        <p className="modal__body">
          To continue using the Benzinga PRO platform you must purchase a subscription.
        </p>
        <p className="modal__body">
          As a thank-you for being a beta tester, we'd like to offer you <strong>exclusive
          discounted pricing</strong> for all of our subscriptions. Give us a ring at 1-877-440-9464
          or email us at support@benzingapro.com to find out more!
        </p>
        <button className="modal__proceed" onClick={() => this.closeModal()} >Continue to pricing</button>
      </div>
    );
  }
}

BetaHasEnded.propTypes = {
  proceed: React.PropTypes.func.isRequired
};

export default BetaHasEnded;
