import React from 'react';

// fileName: extension
export const alertAudioFiles = {
  alarm: '.wav',
  droplet: '.wav',
  glass: '.wav',
  morsecode: '.wav',
  opencan: '.wav',
  pot: '.wav',
  shatter: '.wav',
  siren: '.wav',
};

export function playAlertAudio(soundName) {
  if (soundName in alertAudioFiles) {
    document.getElementById(soundName + 'AudioAlert').play();
  }
}

class AlertAudio extends React.Component {
  render() {
    return (
      <div ref="alertAudio">
        {Object.keys(alertAudioFiles).map(soundName =>
          <audio
            key={soundName}
            id={soundName + 'AudioAlert'}
            src={require('../../assets/audio/alerts/' + soundName + alertAudioFiles[soundName])}
            preload="auto">
          </audio>
        )}
      </div>
    );
  }
}

export default AlertAudio;
